=== debian/changelog ===
ruby-filesystem (0.5-8ubuntu1) oracular; urgency=medium

  * d/p/fix-ftbfs-with-ruby3.3.patch: remove tainted from fuction calls. 

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Aug 2024 15:51:40 -0300

ruby-filesystem (0.5-8) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
    - debian/control: Changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
    - debian/compat: Removed.
  * debian/control:
    - Added Rules-Requires-Root field.
    - Bumped Standards-Version to "4.7.0".
    - Changed package priority from extra to optional.
    - Removed deprecated depends, ruby-interpreter.

 -- Rafael Duwe <rafaelcalilduwe@alunos.utfpr.edu.br>  Fri, 21 Jun 2024 13:26:36 -0300

ruby-filesystem (0.5-7) unstable; urgency=medium

  * QA upload.
  * debian/control: Remove Uploaders field.

 -- Marcos Talau <talau@debian.org>  Thu, 10 Nov 2022 02:03:02 -0300

ruby-filesystem (0.5-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #835186)

 -- Marcos Talau <talau@debian.org>  Wed, 09 Nov 2022 14:33:50 -0300

ruby-filesystem (0.5-5.2) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 18:26:08 +0100

ruby-filesystem (0.5-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Do not depend explicitly on a version of ruby (Closes: #735660)
    - XS-Ruby-Versions is now set to all
  * Drop DM-Upload-Allowed flag
  * Drop quilt from Build-Depends (the 3.0 (quilt) source format is used)
  * Rely on gem2deb magic to build and install
    - erase upstream outdated Makefile, regenerated from extconf
    - move files to ext/filesystem instead of build to use gem convention
    - don't override dh_auto_build and dh_auto_install targets
    - drop the --with quilt option to dh, add --buildsystem=ruby

 -- Cédric Boutillier <boutil@debian.org>  Tue, 22 Apr 2014 14:13:14 +0200

ruby-filesystem (0.5-5) experimental; urgency=low

  * Fix segfault on 64bit environment (use NULL (!=0) for termination for
    rb_struct_define) (Closes: #672763)

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 05 Jun 2012 18:30:31 +0900

ruby-filesystem (0.5-4) unstable; urgency=low

  * Package renamed to ruby-filesystem.

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 30 Apr 2012 10:54:25 +0900

libfilesystem-ruby (0.5-3) unstable; urgency=low

  * build 1.9 module
  * Appli NMU Patch (Closes: #450289)
  * Drop debian/watch file. Upstream is vanished. (Closes: #450289)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 04 Jan 2009 19:17:48 +0900

libfilesystem-ruby (0.5-2.1) unstable; urgency=low

  * Non-maintainer upload 
  * Do not build Package for soon-to-be-obsolete ruby 1.6 (Closes: #366569)

 -- Michael Ablassmeier <abi@debian.org>  Thu,  3 Aug 2006 13:42:28 +0200

libfilesystem-ruby (0.5-2) unstable; urgency=low

  * fixed: 64bit arch problem. Very thanks for Kenshi Muto, Fumitoshi Ukai
    and Mutsumi Ishikawa (Closes: #189964)

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon, 19 Jul 2004 17:08:55 +0900

libfilesystem-ruby (0.5-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue, 25 May 2004 11:15:38 +0900

libfilesystem-ruby (0.4-6) unstable; urgency=low

  * small fix in build script; run tests for ruby1.6 (Closes: #211270)
  * according to new ruby policy; conflicts and provides has been added
  * default version has been changed to 1.8 for conplianting to ruby-default

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 21 Sep 2003 00:11:01 +0900

libfilesystem-ruby (0.4-5) unstable; urgency=low

  * install examples and docs in both vertion

 -- Tatsuki Sugiura <sugi@nemui.org>  Thu, 11 Sep 2003 18:16:49 +0900

libfilesystem-ruby (0.4-4) unstable; urgency=low

  * added; IA64 patch in diff.gz

 -- Tatsuki Sugiura <sugi@nemui.org>  Tue,  9 Sep 2003 11:24:47 +0900

libfilesystem-ruby (0.4-3) unstable; urgency=low

  * Package has been splited for ruby 1.8 & 1.6

 -- Tatsuki Sugiura <sugi@nemui.org>  Mon,  8 Sep 2003 14:05:56 +0900

libfilesystem-ruby (0.4-2) unstable; urgency=low

  * Dependency has been changed for new ruby-policy.

 -- Tatsuki Sugiura <sugi@nemui.org>  Sat,  6 Sep 2003 18:32:26 +0900

libfilesystem-ruby (0.4-1.0.1) unstable; urgency=low

  * Binary-only NMU for ia64 (Closes: #189964)

 -- Roland Stigge <stigge@antcom.de>  Thu,  4 Sep 2003 13:08:56 -0600

libfilesystem-ruby (0.4-1) unstable; urgency=low

  * New upstream release

 -- Tatsuki Sugiura <sugi@nemui.org>  Fri, 17 Jan 2003 20:40:52 +0900

libfilesystem-ruby (0.3-2) unstable; urgency=low

  * ruby has been added to build-depends. (Closes: #153206)

 -- Tatsuki Sugiura <sugi@nemui.org>  Wed, 17 Jul 2002 09:55:27 +0900

libfilesystem-ruby (0.3-1) unstable; urgency=low

  * Initial Release. (Closes: #150097)

 -- Tatsuki Sugiura <sugi@nemui.org>  Sun, 16 Jun 2002 04:01:43 +0900
