=== debian/control ===
Source: ruby-filesystem
Section: ruby
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), gem2deb (>= 0.2.7~)
Standards-Version: 4.7.0
Rules-Requires-Root: no
XS-Ruby-Versions: all

Package: ruby-filesystem
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Provides: libfilesystem-ruby, libfilesystem-ruby1.9, libfilesystem-ruby1.8
Replaces: libfilesystem-ruby (<< 0.5-4~), libfilesystem-ruby1.9 (<< 0.5-4~), libfilesystem-ruby1.8 (<< 0.5-4~)
Breaks: libfilesystem-ruby (<< 0.5-4~), libfilesystem-ruby1.9 (<< 0.5-4~), libfilesystem-ruby1.8 (<< 0.5-4~)
Depends: ${misc:Depends}, ${shlibs:Depends}, ruby
Description: Ruby extension for file-system information
 This is a Ruby extension for file-system information,
 using the 'statvfs' and 'getmntent' system calls.

Package: libfilesystem-ruby
Section: oldlibs
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ruby-filesystem
Description: Transitional package for ruby-filesystem
 This is a transitional package to ease upgrades to the ruby-filesystem
 package. It can safely be removed.

Package: libfilesystem-ruby1.9
Section: oldlibs
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ruby-filesystem
Description: Transitional package for ruby-filesystem
 This is a transitional package to ease upgrades to the ruby-filesystem
 package. It can safely be removed.

Package: libfilesystem-ruby1.8
Section: oldlibs
Architecture: all
Priority: optional
Depends: ${misc:Depends}, ruby-filesystem
Description: Transitional package for ruby-filesystem
 This is a transitional package to ease upgrades to the ruby-filesystem
 package. It can safely be removed.
